Index: /trunk/gsdl/src/recpt/pageaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/pageaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/pageaction.cpp	(revision 1285)
@@ -22,135 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.34  2000/07/12 04:51:05  nzdl
-   added an error message when no "valid" collections are available
-
-   Revision 1.33  2000/07/05 21:49:33  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.32  2000/06/27 23:02:40  sjboddie
-   Tidied up the way collections are displayed on 'standard' homepage.
-   Removed all the nzdl.org specific stuff.
-
-   Revision 1.31  2000/06/23 03:48:08  sjboddie
-   Added Arabic language and encoding options to the preferences page. This
-   is a much more complex task than it should be (you even have to recompile!)
-   but it's not really worth fixing until the new config file format is
-   finalised.
-
-   Revision 1.30  2000/06/14 22:33:42  sjboddie
-   Added French and Spanish language selection options to the preferences
-   page. I really don't like how this is currently implemented (i.e. you
-   have to recompile the library to do something so simple), it might have
-   to wait until the new configuration file stuff is done before it's fixed
-   though.
-
-   Revision 1.29  2000/03/19 21:16:46  nzdl
-   added german language interface
-
-   Revision 1.28  2000/02/24 01:19:01  sjboddie
-   fixed up messy hack for meldex
-
-   Revision 1.27  2000/02/15 22:53:51  kjm18
-   search history stuff added.
-
-   Revision 1.26  2000/02/03 01:49:35  sjboddie
-   fixed up some of the preferences stuff
-
-   Revision 1.25  2000/01/26 20:11:04  sjboddie
-   added some collection specific help text
-
-   Revision 1.24  2000/01/25 22:31:09  sjboddie
-   more hacky changes to get preferences to be a bit smarter
-
-   Revision 1.23  2000/01/24 22:59:57  sjboddie
-   changes to set macros differently for preferences page depending
-   on type of collection - pageaction is getting kind of hacky - should
-   tidy it up some day
-
-   Revision 1.22  1999/11/25 23:01:09  sjboddie
-   now need to be able to handle it if no collection is selected
-
-   Revision 1.21  1999/11/03 22:50:13  sjboddie
-   now defaults to home page
-
-   Revision 1.20  1999/11/01 21:58:02  sjboddie
-   changes to arguments of many functions, now pass list of protocols
-   instead of just that for this collection
-
-   Revision 1.19  1999/10/19 21:59:09  sjboddie
-   bug in generating "how to find information" text for about pages
-
-   Revision 1.18  1999/10/19 03:23:44  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.17  1999/10/14 23:04:44  sjboddie
-   some hacks to make nzdl home page look right
-
-   Revision 1.16  1999/10/10 08:14:09  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.15  1999/09/17 04:46:05  sjboddie
-   fixed a couple of problems with 'unknown' classifier
-
-   Revision 1.14  1999/09/07 23:08:09  rjmcnab
-   Removed some compiler warnings
-
-   Revision 1.13  1999/09/07 04:56:57  sjboddie
-   added GPL notice
-
-   Revision 1.12  1999/09/02 00:26:43  rjmcnab
-   made the p cgi argument always saved in the compressed arguments
-
-   Revision 1.11  1999/08/25 04:48:43  sjboddie
-   changes to the home and about pages
-
-   Revision 1.10  1999/08/11 23:29:43  sjboddie
-   added support for html classifier (i.e. the hp argument)
-
-   Revision 1.9  1999/08/03 03:29:47  sjboddie
-   added ability to set receptionist from collect.cfg
-
-   Revision 1.8  1999/07/30 02:24:44  sjboddie
-   added collectinfo argument to some functions
-
-   Revision 1.7  1999/06/24 05:12:24  sjboddie
-   lots of small changes
-
-   Revision 1.6  1999/06/10 00:39:16  sjboddie
-   navigation bar is no longer written out for every page (it should
-   be included in the _content_ macro of pages wanting to display it).
-
-   Revision 1.5  1999/06/08 04:29:35  sjboddie
-   added argsinfo to the call to check_cgiargs to make it easy to set
-   args to their default if they're found to be screwed up
-
-   Revision 1.4  1999/02/28 20:00:14  rjmcnab
-
-
-   Fixed a few things.
-
-   Revision 1.3  1999/02/25 21:58:58  rjmcnab
-
-   Merged sources.
-
-   Revision 1.2  1999/02/21 22:33:54  rjmcnab
-
-   Lots of stuff :-)
-
-   Revision 1.1  1999/02/12 02:40:17  sjboddie
-
-   Added page action
-
- */
 
 #include "OIDtools.h"
@@ -558,7 +428,2 @@
   return true;
 }
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/pageaction.h
===================================================================
--- /trunk/gsdl/src/recpt/pageaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/pageaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/pagedbrowserclass.cpp
===================================================================
--- /trunk/gsdl/src/recpt/pagedbrowserclass.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/pagedbrowserclass.cpp	(revision 1285)
@@ -22,49 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.11  2000/07/13 02:51:10  sjboddie
-   got DocumentArrowsBottom working for collections using "paged" browsers
-   (like gberg). The whole idea of arrows as used both in the query results
-   page and document pages needs to be revisited to get things working in
-   all situations
-
-   Revision 1.10  2000/06/29 02:47:20  sjboddie
-   added browser info (i.e VList, HList etc.) to status pages
-
-   Revision 1.9  2000/03/31 03:04:32  nzdl
-   tidied up some of the browsing code - replaced DocumentImages,
-   DocumentTitles and DocumentHeading with DocumentIcon
-
-   Revision 1.8  2000/02/17 20:54:00  sjboddie
-   minor change to macro name
-
-   Revision 1.7  2000/02/17 02:35:48  sjboddie
-   tidied up a bit
-
-   Revision 1.6  2000/02/15 22:53:51  kjm18
-   search history stuff added.
-
-   Revision 1.5  2000/02/06 21:29:11  sjboddie
-   fixed a bug - made some functions virtual for use with cstr collection
-
-   Revision 1.4  1999/10/30 23:06:25  sjboddie
-   tidied up a bit
-
-   Revision 1.3  1999/10/30 22:16:37  sjboddie
-   added a collection argument
-
-   Revision 1.2  1999/10/19 08:40:11  sjboddie
-   fixed some stupid compiler warnings on windows
-
-   Revision 1.1  1999/10/14 22:59:35  sjboddie
-   finished off browser classes
-
- */
-
 
 #include "pagedbrowserclass.h"
@@ -125,7 +81,4 @@
     }
   }
-       
-
-    
 }
 
@@ -235,8 +188,2 @@
   return 0;
 }
-
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/pagedbrowserclass.h
===================================================================
--- /trunk/gsdl/src/recpt/pagedbrowserclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/pagedbrowserclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -64,3 +62,2 @@
 
 #endif
-
Index: /trunk/gsdl/src/recpt/pingaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/pingaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/pingaction.cpp	(revision 1285)
@@ -22,29 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.5  1999/11/01 21:56:32  sjboddie
-   changes to arguments of many functions
-
-   Revision 1.4  1999/09/07 04:56:57  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/07/30 02:24:45  sjboddie
-   added collectinfo argument to some functions
-
-   Revision 1.2  1999/02/25 21:58:59  rjmcnab
-
-   Merged sources.
-
-   Revision 1.1  1999/02/21 22:35:20  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "pingaction.h"
Index: /trunk/gsdl/src/recpt/pingaction.h
===================================================================
--- /trunk/gsdl/src/recpt/pingaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/pingaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/queryaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/queryaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/queryaction.cpp	(revision 1285)
@@ -22,140 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.37  2000/07/05 21:49:34  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.36  2000/02/21 21:57:48  sjboddie
-   actions are now configured with gsdlhome
-
-   Revision 1.35  2000/02/17 02:35:04  sjboddie
-   tidied up search history stuff a bit - replaced strings with macros
-
-   Revision 1.34  2000/02/15 22:53:52  kjm18
-   search history stuff added.
-
-   Revision 1.33  2000/01/24 22:57:59  sjboddie
-   fixed bug in cross-collection searching, tidied up a bit
-
-   Revision 1.32  1999/12/13 02:54:11  davidb
-   Support for cross collection searching (CCS)
-
-   Revision 1.31  1999/12/05 21:22:33  sjboddie
-   tidied up cross-collection searching a bit
-
-   Revision 1.30  1999/11/08 20:26:37  sjboddie
-   added multiplevalue option to cgiarginfo
-
-   Revision 1.29  1999/11/04 20:29:53  sjboddie
-   small change to cross-collection searching
-
-   Revision 1.28  1999/11/03 22:49:50  sjboddie
-   A few changes to cross-collection searching for fao
-
-   Revision 1.27  1999/11/01 21:53:27  sjboddie
-   added cross-collection searching capability - still needs lots of
-   work but the basic functionality is there
-
-   Revision 1.26  1999/10/10 08:14:10  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.25  1999/09/24 04:49:39  sjboddie
-   fixed up the query selection boxes to display properly if there's only
-   a single index/sub-collection
-
-   Revision 1.24  1999/09/22 03:44:31  sjboddie
-   EndResults query filter option may now take '-1' for 'all'
-
-   Revision 1.23  1999/09/21 11:34:42  sjboddie
-   added Maxdocs queryfilter option which may be -1 for 'all'
-
-   Revision 1.22  1999/09/07 23:08:51  rjmcnab
-   removed some compiler warnings
-
-   Revision 1.21  1999/09/07 04:56:57  sjboddie
-   added GPL notice
-
-   Revision 1.20  1999/08/25 04:47:55  sjboddie
-   added advanced search option - other minor changes
-
-   Revision 1.19  1999/08/13 04:17:24  sjboddie
-   small change to do with new collection-level metadata
-
-   Revision 1.18  1999/08/10 22:46:33  sjboddie
-   changed format option result to QueryResults and added QueryLinks option
-
-   Revision 1.17  1999/07/30 02:24:42  sjboddie
-   added collectinfo argument to some functions
-
-   Revision 1.16  1999/07/19 00:16:58  sjboddie
-   no longer display documents that don't match all phrases in query string
-
-   Revision 1.15  1999/07/16 08:33:36  rjmcnab
-   Changed the logic for getting the results string slightly
-
-   Revision 1.14  1999/07/16 03:41:29  sjboddie
-   changed isApprox
-
-   Revision 1.13  1999/07/16 00:19:01  sjboddie
-   some changes to the way quoted queries are handled
-
-   Revision 1.12  1999/07/09 02:17:55  rjmcnab
-   Setting macros needed for a second query.
-
-   Revision 1.11  1999/07/07 06:13:10  rjmcnab
-   Added ability to combine two independant queries.
-
-   Revision 1.10  1999/07/07 05:49:35  sjboddie
-   had another crack at the format string code - created a new formattools
-   module. It can now handle {If} and {Or} statements although there's a
-   bug preventing nested if's and or's.
-
-   Revision 1.9  1999/07/01 22:48:46  sjboddie
-   had a go at getting a query result format string working
-
-   Revision 1.8  1999/06/27 22:02:11  sjboddie
-   author is added  to queryresults if there is one
-
-   Revision 1.7  1999/06/26 01:10:18  rjmcnab
-   Made h, i, and n arguments saved in the compressed arguments.
-
-   Revision 1.6  1999/06/24 05:12:25  sjboddie
-   lots of small changes
-
-   Revision 1.5  1999/06/16 04:03:48  sjboddie
-   Now sets "cl" arg to "search" when going to a document from a search
-   results page. This allows the close book icon (in hierarchy toc) to
-   take you back to the results page if that's where you came from.
-   If you got to the document page somehow other than from a
-   classification or a search (i.e. if "cl" isn't set) then the close
-   book icon is disabled
-
-   Revision 1.4  1999/06/16 02:08:38  sjboddie
-   got queryaction working
-
-   Revision 1.3  1999/03/25 03:06:45  sjboddie
-
-   altered receptionist slightly so it now passes *collectproto to
-   define_internal_macros and define_external_macros - need it
-   for browseaction
-
-   Revision 1.2  1999/03/03 20:26:50  rjmcnab
-
-   Modified stuff.
-
-   Revision 1.1  1999/02/28 22:45:21  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "queryaction.h"
@@ -1255,7 +1120,2 @@
 
 }
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/queryaction.h
===================================================================
--- /trunk/gsdl/src/recpt/queryaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/queryaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -129,4 +127,2 @@
 
 #endif
-
-
Index: /trunk/gsdl/src/recpt/querytools.cpp
===================================================================
--- /trunk/gsdl/src/recpt/querytools.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/querytools.cpp	(revision 1285)
@@ -22,37 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.8  1999/11/01 21:56:12  sjboddie
-   changes for cross-collection searching - still needs work
-
-   Revision 1.7  1999/09/21 11:32:42  sjboddie
-   added Maxdocs queryfilter option which may be -1 for 'all'
-
-   Revision 1.6  1999/09/07 04:56:58  sjboddie
-   added GPL notice
-
-   Revision 1.5  1999/08/25 04:47:55  sjboddie
-   added advanced search option - other minor changes
-
-   Revision 1.4  1999/07/19 00:16:58  sjboddie
-   no longer display documents that don't match all phrases in query string
-
-   Revision 1.3  1999/07/16 00:19:02  sjboddie
-   some changes to the way quoted queries are handled
-
-   Revision 1.2  1999/07/07 06:12:21  rjmcnab
-   Added ability to combine two independant queries.
-
-   Revision 1.1  1999/06/15 02:24:06  sjboddie
-   moved do_query from queryaction to new querytools module (as do_action
-   is also called from documentaction when highlighting text)
-
- */
-
 
 #include "querytools.h"
@@ -238,3 +206,2 @@
   }
 }
-
Index: /trunk/gsdl/src/recpt/querytools.h
===================================================================
--- /trunk/gsdl/src/recpt/querytools.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/querytools.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/receptionist.cpp
===================================================================
--- /trunk/gsdl/src/recpt/receptionist.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/receptionist.cpp	(revision 1285)
@@ -22,225 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.53  2000/07/05 21:49:34  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.52  2000/07/04 02:15:22  sjboddie
-   fixed bug causing segmentation fault when an invalid collection
-   was supplied as the "c" cgi argument
-
-   Revision 1.51  2000/05/28 09:15:34  sjboddie
-   a few small changes to get an initial release of the local library
-
-   Revision 1.50  2000/05/12 03:09:25  sjboddie
-   minor modifications to get web library compiling under VC++ 6.0
-
-   Revision 1.49  2000/05/04 05:18:46  sjboddie
-   attempting to get end-user collection building to work under windows
-
-   Revision 1.48  2000/04/14 02:52:06  sjboddie
-   tidied up error messaging and set up some debugging info to be output
-   when running library from command line
-
-   Revision 1.47  2000/02/17 22:26:17  sjboddie
-   set macros for displaying macrons in utf8
-
-   Revision 1.46  2000/02/17 02:34:09  sjboddie
-   made compressedoptions macro dm_safe - added SCRIPT_NAME to log string
-
-   Revision 1.45  2000/02/03 01:48:52  sjboddie
-   fixed potential bug in ccscols stuff
-
-   Revision 1.44  2000/01/24 22:53:09  sjboddie
-   a few small changes to get fastcgi working properly here at Waikato -
-   hopefully changes will work everywhere ...
-
-   Revision 1.43  1999/12/06 01:14:16  sjboddie
-   added arabic encoding
-
-   Revision 1.42  1999/12/05 21:21:04  sjboddie
-   added support for multiple gsdlhomes and gdbmhomes
-
-   Revision 1.41  1999/11/25 21:44:16  sjboddie
-   fixed bug in logout
-
-   Revision 1.40  1999/11/08 20:26:37  sjboddie
-   added multiplevalue option to cgiarginfo
-
-   Revision 1.39  1999/11/03 22:49:10  sjboddie
-   A location url may now contain macros
-
-   Revision 1.38  1999/11/01 21:49:34  sjboddie
-   changes to arguments of many functions
-
-   Revision 1.37  1999/10/20 03:55:03  sjboddie
-   yet another problem with calling browserclass
-   processOID functions correctly
-
-   Revision 1.36  1999/10/19 03:23:44  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.35  1999/10/18 20:07:05  sjboddie
-   tidied up a few things - moved processing of "hp" argument
-   to htmlbrowserclass
-
-   Revision 1.34  1999/10/14 23:00:52  sjboddie
-   finished changes to browsing support
-
-   Revision 1.33  1999/10/10 08:14:10  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.32  1999/09/21 11:28:45  sjboddie
-   tidied up file locking
-
-   Revision 1.31  1999/09/16 21:38:17  sjboddie
-   added some file locking stuff for logging. Windows still needs to
-   be done.
-
-   Revision 1.30  1999/09/07 04:56:58  sjboddie
-   added GPL notice
-
-   Revision 1.29  1999/09/03 10:02:30  rjmcnab
-   Made the page parameters configurable. Now the page parameters must
-   correspond to cgi arguments in name and value (ie language=zh should now
-   be l=zh) which makes things more consistent anyway. Removed a couple of
-   specialised NZDL page parameters.
-
-   Moved the combining of the cgi arguments so that the receptionist does
-   all the configuration now.
-
-   Made the macro precedence configurable.
-
-   Made cgi arguments totally configurable. Now any piece of information about
-   a cgi argument can be configured meaning that cgi arguments can be declared
-   from the configuration file.
-
-   Removed the argdefault configuration argument. This should now be done
-   using cgiarg.
-
-   Revision 1.28  1999/09/03 04:39:46  rjmcnab
-   Made cookies and logs optional (they are turned off by default). To
-   turn them on put
-
-   usecookies true
-   logcgiargs true
-
-   in your configuration file.
-
-   Revision 1.27  1999/09/02 00:27:21  rjmcnab
-   A few small things.
-
-   Revision 1.26  1999/08/25 04:43:06  sjboddie
-   made FilterRequest_t::docSet an array rather than a set
-
-   Revision 1.25  1999/08/20 00:59:01  sjboddie
-   -fixed up location redirection
-   -added some usage logging, also now set a GSDL_UID cookie. Logging
-   does NOT presently lock the log file while it's in use. That has yet
-   to be done.
-
-   Revision 1.24  1999/08/13 04:16:42  sjboddie
-   added some collection-level metadata stuff
-
-   Revision 1.23  1999/08/11 23:28:59  sjboddie
-   added support for html classifier (i.e. the hp argumant now must be
-   translated too).
-
-   Revision 1.22  1999/08/10 22:45:21  sjboddie
-   format option ShowTopPages is now called DocumentTopPages
-
-   Revision 1.21  1999/08/09 04:25:17  sjboddie
-   moved OID translation stuff from documentaction::define_external_macros
-   to receptionist
-
-   Revision 1.20  1999/07/30 02:13:09  sjboddie
-   -added collectinfo argument to some functions
-   -made some function prototypes virtual
-
-   Revision 1.19  1999/07/15 06:02:05  rjmcnab
-   Moved the setting of argsinfo into the constructor. Added the configuration
-   command argdefault (as used by the actions). Added code to output the
-   correct charset based on the page encoding so that the user does not need
-   to specify the encoding used for a particular page.
-
-   Revision 1.18  1999/07/11 01:05:20  rjmcnab
-   Stored origin of cgiarg with argument.
-
-   Revision 1.17  1999/07/10 22:18:26  rjmcnab
-   Added calls to define_external_cgiargs.
-
-   Revision 1.16  1999/06/27 21:49:03  sjboddie
-   fixed a couple of version conflicts - tidied up some small things
-
-   Revision 1.15  1999/06/26 01:14:32  rjmcnab
-   Made a couple of changes to handle different encodings.
-
-   Revision 1.14  1999/06/09 00:08:36  sjboddie
-   query string macro (_cgiargq_) is now made html safe before being set
-
-   Revision 1.13  1999/06/08 04:29:31  sjboddie
-   added argsinfo to the call to check_cgiargs to make it easy to set
-   args to their default if they're found to be screwed up
-
-   Revision 1.12  1999/04/30 01:59:42  sjboddie
-   lots of stuff - getting documentaction working (documentaction replaces
-   old browseaction)
-
-   Revision 1.11  1999/03/25 03:06:43  sjboddie
-
-   altered receptionist slightly so it now passes *collectproto to
-   define_internal_macros and define_external_macros - need it
-   for browseaction
-
-   Revision 1.10  1999/03/05 03:53:54  sjboddie
-
-   fixed some bugs
-
-   Revision 1.9  1999/02/28 20:00:16  rjmcnab
-
-
-   Fixed a few things.
-
-   Revision 1.8  1999/02/25 21:58:59  rjmcnab
-
-   Merged sources.
-
-   Revision 1.7  1999/02/21 22:33:55  rjmcnab
-
-   Lots of stuff :-)
-
-   Revision 1.6  1999/02/11 01:24:05  rjmcnab
-
-   Fixed a few compiler warnings.
-
-   Revision 1.5  1999/02/08 01:28:02  rjmcnab
-
-   Got the receptionist producing something using the statusaction.
-
-   Revision 1.4  1999/02/05 10:42:46  rjmcnab
-
-   Continued working on receptionist
-
-   Revision 1.3  1999/02/04 10:00:56  rjmcnab
-
-   Developed the idea of an "action" and having them define the cgi arguments
-   which they need and how those cgi arguments function.
-
-   Revision 1.2  1999/02/04 01:17:27  rjmcnab
-
-   Got it outputing something.
-
-
- */
-
 
 #include "receptionist.h"
Index: /trunk/gsdl/src/recpt/receptionist.h
===================================================================
--- /trunk/gsdl/src/recpt/receptionist.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/receptionist.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/recptconfig.cpp
===================================================================
--- /trunk/gsdl/src/recpt/recptconfig.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/recptconfig.cpp	(revision 1285)
@@ -22,44 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.9  2000/05/12 03:09:24  sjboddie
-   minor modifications to get web library compiling under VC++ 6.0
-
-   Revision 1.8  2000/04/14 03:10:35  sjboddie
-   tidied up a few issues concerning the new debug info which showed
-   up on windows
-
-   Revision 1.7  2000/04/14 02:52:06  sjboddie
-   tidied up error messaging and set up some debugging info to be output
-   when running library from command line
-
-   Revision 1.6  2000/02/21 21:55:33  sjboddie
-   gsdlhome now comes from gsdlsite.cfg
-
-   Revision 1.5  1999/09/07 04:56:59  sjboddie
-   added GPL notice
-
-   Revision 1.4  1999/09/07 00:09:31  sjboddie
-   now reads in both main.cfg and collect.cfg always
-
-   Revision 1.3  1999/02/21 22:33:57  rjmcnab
-
-   Lots of stuff :-)
-
-   Revision 1.2  1999/02/08 01:28:04  rjmcnab
-
-   Got the receptionist producing something using the statusaction.
-
-   Revision 1.1  1999/02/05 06:50:32  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "recptconfig.h"
Index: /trunk/gsdl/src/recpt/recptconfig.h
===================================================================
--- /trunk/gsdl/src/recpt/recptconfig.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/recptconfig.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/recptmain.cpp
===================================================================
--- /trunk/gsdl/src/recpt/recptmain.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/recptmain.cpp	(revision 1285)
@@ -22,23 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.3  1999/09/07 04:56:59  sjboddie
-   added GPL notice
-
-   Revision 1.2  1999/02/21 22:33:58  rjmcnab
-
-   Lots of stuff :-)
-
-   Revision 1.1  1999/02/04 01:16:18  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "receptionist.h"
@@ -51,3 +33,2 @@
   return 0;
 }
-
Index: /trunk/gsdl/src/recpt/recptproto.cpp
===================================================================
--- /trunk/gsdl/src/recpt/recptproto.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/recptproto.cpp	(revision 1285)
@@ -22,37 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.7  1999/09/07 04:56:59  sjboddie
-   added GPL notice
-
-   Revision 1.6  1999/05/10 03:40:43  sjboddie
-   lots of changes - slowly getting document action sorted out
-
-   Revision 1.5  1999/04/30 01:59:43  sjboddie
-   lots of stuff - getting documentaction working (documentaction replaces
-   old browseaction)
-
-   Revision 1.4  1999/03/31 23:44:48  rjmcnab
-   Altered the protocol so that the metadata is part of the filter.
-
-   Revision 1.3  1999/03/03 23:26:35  sjboddie
-
-   Implemented more of the protocol
-
-   Revision 1.2  1999/02/25 21:59:01  rjmcnab
-
-   Merged sources.
-
-   Revision 1.1  1999/02/21 22:35:24  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "recptproto.h"
@@ -182,3 +150,2 @@
   return NULL;
 }
-
Index: /trunk/gsdl/src/recpt/recptproto.h
===================================================================
--- /trunk/gsdl/src/recpt/recptproto.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/recptproto.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
